# QGraphicsSceneHoverEvent Class Reference

### [com.trolltech.qt.gui package]

Inherits QGraphicsSceneEvent.

### Constructor

- void QGraphicsSceneHoverEvent(Type type)

### Constructor Properties

- prototype: The QGraphicsSceneHoverEvent prototype object

### Prototype Object Properties

The QGraphicsSceneHoverEvent prototype object inherits properties from the QGraphicsSceneEvent prototype object and also has the following properties.

- QPointF lastPos()
- QPointF lastScenePos()
- QPoint lastScreenPos()
- KeyboardModifiers modifiers()
- QPointF pos()
- QPointF scenePos()
- QPoint screenPos()
- void setLastPos(QPointF pos)
- void setLastScenePos(QPointF pos)
- void setLastScreenPos(QPoint pos)
- void setModifiers(KeyboardModifiers modifiers)
- void setPos(QPointF pos)
- void setScenePos(QPointF pos)
- void setScreenPos(QPoint pos)

### Instance Properties

QGraphicsSceneHoverEvent objects have no special properties beyond those inherited from the QGraphicsSceneHoverEvent prototype object.